## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanMap< Key, Value, KeyTraits >::Entry Struct Reference

List of all members.

## Public Member Functions

- Entry (value_type *theValue)

## Public Attributes

- value_type * value
- bool erased

### template<class Key, class Value, class KeyTraits = XalanMapKeyTraits<Key>>
struct XalanMap< Key, Value, KeyTraits >::Entry

## Constructor & Destructor Documentation

template<class Key, class Value, class KeyTraits = XalanMapKeyTraits<Key>>
XalanMap< Key, Value, KeyTraits >::Entry::Entry | ( | value_type * | theValue | ) |

## Member Data Documentation

template<class Key, class Value, class KeyTraits = XalanMapKeyTraits<Key>>
bool XalanMap< Key, Value, KeyTraits >::Entry::erased

template<class Key, class Value, class KeyTraits = XalanMapKeyTraits<Key>>
value_type* XalanMap< Key, Value, KeyTraits >::Entry::value

The documentation for this struct was generated from the following file:

- XalanMap.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.